Questions tagged [opengl]

OpenGL (Open Graphics Library) is a free API used in computer graphics, for development of graphicals applications, 3D environments, games, among others.

Filter by
Sorted by
Tagged with
0
votes
0answers
11 views

how to fix this error in centos 7 “Unrecognized OpenGL version” “Warning: ”Failed to connect: Connection refused"? [closed]

I did a ssh -X connection in my vm and when I run an application with graphic interface this error appears.
0
votes
0answers
10 views

how to fix this error “Unrecognized OpenGL version” in centos?

I'm doing a ssh -X connection in centos 7 but when I run an application the terminal shows me this error Unrecognized OpenGL version. How can I fix this?
0
votes
0answers
37 views

GLSL version 3.30 not supported with Mesa 19.2.8

I want to do some OpenGL coding with C# (using OpenTK). And whenever I try running the code I get: 0:1(10): error: GLSL 3.30 is not supported. Supported versions are: 1.10, 1.20, 1.30, 1.00 ES, 3.00 ...
0
votes
0answers
13 views

Is PyOpenCL still available on macOS?

I noticed that Apple has deprecated openCL and openGL. I'm just wondering if I can still use PyOpenCL on my mac computer.
0
votes
0answers
20 views

OpenGL support in Mobaxterm

I am trying to access 3D Slicer version 4.11 installed on a linux server through Mobaxterm. After I load ./Slicer, I get an error OpenGL 1.50 is not supported. I would like to know how to fix this ...
0
votes
0answers
9 views

How can I enable opengl visibility in vagrant system for windows machine?

In order to work with docker windows container on my Mac, I was using windows docker machine, virtalbox as a provider and 2019-box as a vagrant box. Inside docker image that is based on ue4 docker, ...
0
votes
1answer
40 views

RTX 2070 Super not working on multiple applications

I recently got a new Snowblind computer from iBuyPower. Certain games run very slowly (<30FPS) (Rocket League, CS:GO, Valorant), while other applications just don't work now (Blender, OBS, ...
0
votes
1answer
402 views

Arch Linux: Intel IRIS Driver

I've followed the insturctions on 1 to build and install the IRIS driver using meson -Dgallium-drivers=iris. Although running OpenGl programs after export MESA_LOADER_DRIVER_OVERRIDE=iris just causes ...
2
votes
1answer
47 views

On intel+nvidia laptop, on Linux may I shutdown intel and use just nvidia?

Here I have a Lenovo T480 with intel and nvidia graphics. I'm running Debian 9 and I installed nvidia driver from https://www.nvidia.com/Download/driverResults.aspx/156772/en-us Looks like nvidia ...
1
vote
0answers
124 views

No matching fbConfigs or visuals found, while openning Qt Creator over SSH

I have Qt 5.12.7 64 installed on Debian 9.12, these are running on vmware on Windows host. Then I use macOS and ssh into debian. And I tried to open Qt Creator and got: $ ~/Qt5.12.7/Tools/QtCreator/...
0
votes
0answers
38 views

Is my graphics driver and opengl properly installed?

I got some suspicious outputs related to graphics and opengl while looking around an install of Debian 9.12 64 on ThinkPad X200s. Perhaps you guys can tell me if the following looks fine? I tried to ...
0
votes
0answers
1k views

Run Application requiring Opengl 3.3 inside Virtualbox Virtual Machine (Windows Host and Windows Guest)

I have a program that I would like to run in a virtual machine (not on my host), but it entirely refuses to run without opengl 3.3. I would like to be able to run this program without it crashing ...
0
votes
0answers
79 views

Software OpenGL library for Debian 10 (Buster)

I've got emulated Debian 10 arm64 environment with no hardware OpenGL support, and I'd like to be able to run tools like Blender. Debian 8 had package libgl1-mesa-swx11 for that, but there's no such ...
0
votes
1answer
48 views

Wrong OpenGL version being reported

I have just bought a new AMD RX550 for deep learning purposes. However, when I tried to benchmark it some errors are being reported due to having old OpenGL version. On the official manufacturers ...
0
votes
0answers
87 views

How to achieve OpenGL 4.x support in a compute Engine with NVIDIA Tesla GPUs?

I'm trying to build a high-end VM instance on GCP with 8 vCPUs and 2 GPUs. I tried attaching NVidia Tesla V100 GPU with Virtual WokStation option to boost my graphic workloads. However, that does not ...
1
vote
1answer
2k views

Update OpenGL version to 4.6 in Ubuntu 18.04

I have problem related my nvidia driver in Ubuntu 18.04. Actually the problem occurred in computer server and I remote the computer server by using X2Go. My Computer Server using Ubuntu 18.04 And ...
0
votes
0answers
349 views

OpenGL ES Error - Can't find the Intel graphics

I'm attempting to use an abandoned application (uosteam.com) that acts as a game server connection tool for an old MMO. This is a perfectly legit program but it's just no longer actively developed and ...
0
votes
0answers
186 views

How do you use OpenGL 3.3 with Mesa's llvmpipe in a VM?

I am developing a cross-platform application that uses OpenGL 3.3 (Core Profile) and I would like to be able to run the Linux builds in a virtual machine. I was hoping to use software rendering with ...
3
votes
3answers
4k views

How to troubleshoot OpenGL on Ubuntu under Windows 10 (WSL)

I have installed Ubuntu on Windows 10 using Windows Subsystem for Linux (WSL). I'm attempting to get OpenGL graphics to work. My ultimate objective is to be able to run the Gazebo simulator for Robot ...
0
votes
0answers
51 views

Im Using Construct 2 Game Engine and When I wanna export to NW.js , It Errors

Error Image I installed NW.js For construct 2 and It gives error : Error During Export : Cannot Open File 'C:\Users\RaderH2O\Desktop\New Game\osx32\NewGame.app\Contents\Info.plist'
1
vote
1answer
335 views

Can't run glxgears using XQuartx

I am trying to run glxgears on a remote Linux server using XQuarts 2.7.11 on macOS Mojave (10.14.6), but I get the following error: libGL error: No matching fbConfigs or visuals found libGL error: ...
0
votes
0answers
16 views

How do I make an application think it is running from desktop server (e.g gdm3)?

I have an application binary that works fine if I run it from a terminal in an windows environment (say gdm). If I run it from raw console (Ctrl+Alt+F3), it emits errors. But I do need to run this ...
1
vote
2answers
4k views

Does Win10 RDP graphics performance depend on local or remote GPU?

I'm remoting in for data visualization work (mostly relies on WebGL). Local and remote are both Win10. Local is laptop w/ integrated Intel GPU and remote uses a GeForce 1030 GT. When I run the ...
0
votes
0answers
73 views

windows 8.1 visual studio c++ opengl exception 0xC0000005: access violation while using the path 0x00000000

I am a beginner openGL programmer, learning openGL from a TouTube tutorial. I did exactly the same steps as the tutorial stated. I get this exception: Unhandled exception in 0x7732F949 in OpenGL.exe:...
0
votes
0answers
250 views

Cinnamon uses software rendering mode on VirtualBox even with Guest Additions and 3D acceleration

I've got a CentOS 7.6.1811 guest running on Windows 10 and VirtualBox 5.2.30 with 3D Acceleration enabled. The Linux guest has VirtualBox Guest Additions of the same version installed. I had to ...
0
votes
1answer
472 views

openGL version mismatch

Currently working to install gym/roboschool, running into the following error from WSL: The latest drivers are installed on my GPU which states I'm on OpenGL 4.6. EDIT Still no luck unfortunately, ...
0
votes
0answers
268 views

How can I upgrade the openGL version on a compute engine VM on GCP?

GCP Compute Engine Machine info - Windows server 2016 - Xeon (R) 2Ghz 8 cores - RAM 7.2 GB - 1 Nvidia Tesla T4 Virtual workstation GPU - Connection using RDP I'm trying to install Blender (3d ...
1
vote
0answers
37 views

Where is libEGL.so in Virtualbox?

I'm running a Ubuntu 16.04 guest, but I can't seem to find libEGL.so anywhere. Is VirtualBox supposed to install EGL?
1
vote
0answers
6k views

How can I update OpenGL on my Linux machine?

I am trying to run a game called "Unturned" and I get an error saying that OpenGL version needs to be 3.2 or higher. Unable to find a supported OpenGL core profile Failed to create valid graphics ...
0
votes
0answers
90 views

Wrong colors when rendering on AMD Radeon

I decided to run my engine on a friend's computer, but I ran into some problems. For some reason, the wrong colors, the colors of the scene have become terribly cold. What could be the reason? ...
3
votes
1answer
592 views

What is the relationship between the graphics card driver and OpenGL on Linux?

I have the latest proprietary Nvidia driver installed, which is nvidia-415 (according to the "Driver Manager" interface). Some programs complain that I don't have OpenGL 3.3. So I ran the command to ...
0
votes
0answers
3k views

How do I update OpenGL to 3.3 or higher on Linux Mint 18.1?

I need OpenGL version 3.3 or higher to run Blender 2.8 and Meshroom properly. It looks like I have 3.0 installed. $ glxinfo | grep "OpenGL version" OpenGL version string: 3.0 Mesa 12.0.6 Is there ...
0
votes
0answers
196 views

Why is my MacbookPro 2018 working on OpenGL 2.1?

I am a student in Computer Science and for classes we are working with OpenGL. My issue is that I can't run any program because of my OpenGL driver version. Graphic card : Intel(R) Iris(TM) Plus ...
0
votes
0answers
1k views

How do I fix a MESA-LOADER error while running pyqt5 on raspbian 9 stretch?

I want to ensure that pyqt5 is working properly on my raspberry pi. When I try to run a tutorial producing a simple window, the code produces the desired results but an error message is thrown. The ...
1
vote
1answer
963 views

/usr/bin/ld: cannot find -lGL

I'm on ubuntu 18.04 and when I run on the terminal: g ++ opengl_test.cpp -o firstOpenGlApp -lglut -lGLU -lGL I have this error: /usr/bin/ld: can not find -lGL if anyone could help me I thank ...
0
votes
1answer
3k views

How to get OpenGL support on VirtualBox 5.2.8?

I am trying to run a program, but I am struggling with getting getting the program to run because it requires OpenGL 2.0, and I have OpenGL 1.1.0. Is there any fix to this problem? I have updated ...
0
votes
0answers
48 views

How to fix/set proportions of OpenGL window in VirtualBox

I am running a graphical application in virtual box, it has an OpenGL viewport. The problem is that the display is 'squashed', the proportions are wrong. It's something like: something doesn't ...
0
votes
2answers
696 views

Slic3r appImage fails to run with `libGL error: unable to load driver: radeonsi_dri.so`

Slic3r (and possibly other appImages that rely on OpenGL) fail with libGL error: unable to load driver: radeonsi_dri.so libGL error: driver pointer missing libGL error: failed to load driver: ...
0
votes
1answer
309 views

GLSL version doesn't match OpenGL version

I'm porting an application with OSG Earth from windows to Linux. The OS and softwares are basically the same (Qt 5.9, Linux kernel 3.18.24, Mesa 18.2.3). However, after override export ...
1
vote
3answers
309 views

Making a DLL available for all windows programs (win10 pro x64)

Due to the (not relevant for this question) restrictions of OpenGL implementation in Virtualbox (only OpenGL version 1.1 available, but I need at least version 2.0) I decided to use software ...
4
votes
0answers
760 views

glxinfo Error: couldn't get an RGB, Double-buffered visual

I want to create a pipeline rendering 3D on remote server and visualize locally via Mac XQuartz. But I am new to 3D rendering and openGL. I found VirtualGL a helpful tool to do this, but I met a bug ...
2
votes
0answers
845 views

Chromium on ubuntu GLX issues

I am trying to run chromium-browser on Ubuntu Server but it starts with a lot of errors that you can see below. I have tried to installed the Nvidia drivers, update/install everything related to GLX/...
0
votes
2answers
24k views

How to fix : Install a driver providing OpenGL 2.0 or higher [closed]

First things first, I'm using Windows 7 with 32 bit. When I open a software there is an error saying Install a driver providing OpenGL 2.0 or higher, There are many software which shows the same ...
0
votes
1answer
2k views

Matlab Hardware OpenGL Failure on Ubuntu 16.04.3 - Can not initialize shared resources

First, my system info: 4.13.0-26-generic #29~16.04.2-Ubuntu SMP Tue Jan 9 22:00:44 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux Clean installation of Matlab R2016b (64-bit) Video card: AMD/ATI Pitcairn ...
0
votes
1answer
382 views

Failure to record OpenGL window with OBS

I run OBS, switch to the window to record, and press the hotkey I've assigned to record. Then I wait 3 seconds and press the "stop recording" hotkey. During this whole time I see the desired animation ...
4
votes
0answers
3k views

Recompiled QEMU with OpenGL, but virt-manager or libvirt tells me This QEMU doesn't support spice OpenGL

I wanna to use virtio-gpu according to this blog: https://www.kraxel.org/blog/2016/09/using-virtio-gpu-with-libvirt-and-spice/ I am using Debian testing, but QEMU in offical debian source is not ...
1
vote
0answers
120 views

Dual GPU laptop, using old OpenGL lib

I run OpenGL in Ubuntu 14.04 on my laptop with a nvidia card. My laptop has a dual GPU (the nvidia one and the Intel integrated one). I install the nvidia driver through the CUDA toolkit install (as ...
1
vote
1answer
489 views

How do I know if a desktop GPU supports OpenGL ES?

I have a NVidia GTX 1050 TI desktop GPU. Its spec sheet doesn't say whether it support OpenGL ES, but my preliminary tests suggest that it does. The reason I want ES on a desktop is that I'm ...
1
vote
0answers
186 views

View OpenGL version *of* a remote machine via ssh

I have a remote machine accessible via SSH and I want to use glxinfo to check it's GL version. I already tried the following: logging in with ssh -X or ssh -Y setting DISPLAY=:0 setting DISPLAY=...
1
vote
1answer
817 views

Accessing an OpenGL GUI through X11 forwarding

I want to use Bullet Physics' pybullet python library to create and work with a GUI window. Thing is, I'm running a python interpreter through SSH from a remote server. Now, I can access most GUI ...

1
2 3 4 5